Create an archive from a backup for a WordPress installation
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/example/archives"
payload := strings.NewReader("{ \"backup_id\": \"e41fa98f-ea80-4654-b229-a9b765d0863a\", \"notification_emails\": [ \"user@example.com\" ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <credentials>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/example/archives';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"backup_id":"e41fa98f-ea80-4654-b229-a9b765d0863a","notification_emails":["user@example.com"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wpengineapi.com/v1/installs/example/archives \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "backup_id": "e41fa98f-ea80-4654-b229-a9b765d0863a", "notification_emails": [ "user@example.com" ] }'Creates a downloadable zip archive from a backup point. Archive will contain full backup data.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”ID of install
Request Body
Section titled “Request Body ”Properties
- backup_id - required - ID of the backup to create an archive from
- notification_emails - required - An Array of email address(es) that will receive an email once the archive is created
object
ID of the backup to create an archive from
Example
e41fa98f-ea80-4654-b229-a9b765d0863aThe email address(es) that will receive an email once the archive is created
Example
[ "user@example.com"]Responses
Section titled “ Responses ”Accepted
Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid Site: Name cannot be empty.", "errors": [ { "resource": "Site", "field": "name", "type": "invalid_value", "code": "too_long", "message": "Name is too long (maximum is 40 characters)" } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}An invalid response was received from an upstream server
Service unavailable